GNU bug report logs - #56900
phoronix-test-suite downloads nonfree software (+ question on collaboration with Parabola on this package)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>; dated Tue, 2 Aug 2022 23:29:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 56900 <at> debbugs.gnu.org:


Received: (at 56900) by debbugs.gnu.org; 4 Aug 2022 14:27:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 04 10:27:12 2022
Received: from localhost ([127.0.0.1]:54257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJboe-0001bh-C0
	for submit <at> debbugs.gnu.org; Thu, 04 Aug 2022 10:27:12 -0400
Received: from cyberdimension.org ([80.67.179.20]:45170
 helo=gnutoo.cyberdimension.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <GNUtoo@HIDDEN>) id 1oJbob-0001bX-Uf
 for 56900 <at> debbugs.gnu.org; Thu, 04 Aug 2022 10:27:11 -0400
Received: from gnutoo.cyberdimension.org (localhost [127.0.0.1])
 by cyberdimension.org (OpenSMTPD) with ESMTP id ae6bf7d6;
 Thu, 4 Aug 2022 14:26:40 +0000 (UTC)
Received: from primarylaptop.localdomain (localhost [::1])
 by gnutoo.cyberdimension.org (OpenSMTPD) with ESMTP id 32a03d7f;
 Thu, 4 Aug 2022 14:26:40 +0000 (UTC)
Date: Thu, 4 Aug 2022 16:27:00 +0200
From: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: phoronix-test-suite downloads nonfree software (+ question on
 collaboration with Parabola on this package)
Message-ID: <20220804162700.419638f3@HIDDEN>
In-Reply-To: <87fsiejc0n.fsf@HIDDEN>
References: <20220803012745.2d5e24de@primary_laptop> <87fsiejc0n.fsf@HIDDEN>
X-Mailer: Claws Mail 4.1.0 (GTK 3.24.34; i686-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/EDwOfcDthiqdvflEbictjDE";
 protocol="application/pgp-signature"; micalg=pgp-sha256
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56900
Cc: 56900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--Sig_/EDwOfcDthiqdvflEbictjDE
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

On Tue, 02 Aug 2022 22:28:56 -0400
Maxim Cournoyer <maxim.cournoyer@HIDDEN> wrote:

> Hi Denis,
Hi,

> Would you like to try preparing a snippet patch turning the above
> 'Free' into 'Proprietary' or the likes so that the Python script can
> remove them?  Otherwise I can look into it.
Since you wrote the python script you might be way faster if you do it.

By the way I've found new issues:=20
- phoronix-test-suite test system/gnupg =3D> This downloads
  linux-4.3.tar.gz, so it has the same issue.
- phoronix-test-suite test pts/gnupg =3D> This downloads
  ubuntu-20.04-desktop-amd64.iso so it has the same issue because
  ubuntu-20.04-desktop-amd64.iso probably contains nonfree firmwares.

Denis.

--Sig_/EDwOfcDthiqdvflEbictjDE
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEeC+d2+Nrp/PU3kkGX138wUF34mMFAmLr1zQACgkQX138wUF3
4mPIlA//Rq1tnjNFqYKd2ji/hcATl8wxTUfeuq9RR7pQXoS6069+sZlnzagTlFVM
ACNzBSHWNxdsWt6uiSvSeWJpdAYST3C6823Y3DcAXl8fMbJcc0mdO8Nw1+miWOn6
mbH5Ra2c4YSoENoVAtpjmaLQ4WvgViMFRpD5mOdVZOgc/pvgIktOjbxV7pBjVi2+
0tBGPsws3d3bFdS+CLbVmD1/699mK18CvLnO7/Yd4hqXy6Qhuf1iZU5cwEYzitql
qjMUH9rkOlyRgesK59orORCPfrtXPsvJQp2Ta72EECHdTc15kGB2ifq31V2USXaP
lCgJ1tRKXps+qMk/3yg0WLj/I0dXkd4nj2EUFsThN4axI2WUXN9WgSe47maK4GyI
/Jh4Cnk13ipylu7HAxyaXmtc/+sM0wctIDPa4sF2i4qJO0jnRvqzq0jCyKFkKCvp
lUAAVe9Rr+F9jXj0q5yOVRsdR2SQLwiwe5bjKqHIuKgKQwJG2igGgRnkVCC4wRGJ
aT6gwz4QzIEnEIB2MS2ODRYAfduANUux5PH4Rn0FEwx5TdRwQurTMooqq+Zfo8hc
wk+o6qA3F/NlYrMO5uw1va8d0Wpjy0jBLQpAnA96wYOYTeEYY4aKjs5jTqxNQn1I
tuEH9lJnIX3dq+HGnjv31r2o9C5fCyDMckVj+tOBO+/xFTUsq5I=
=Uh3E
-----END PGP SIGNATURE-----

--Sig_/EDwOfcDthiqdvflEbictjDE--




Information forwarded to bug-guix@HIDDEN:
bug#56900; Package guix. Full text available.

Message received at 56900 <at> debbugs.gnu.org:


Received: (at 56900) by debbugs.gnu.org; 3 Aug 2022 02:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 22:29:07 2022
Received: from localhost ([127.0.0.1]:45609 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJ48A-0004GL-IP
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 22:29:06 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:39742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1oJ488-0004Fk-7T
 for 56900 <at> debbugs.gnu.org; Tue, 02 Aug 2022 22:29:04 -0400
Received: by mail-qk1-f180.google.com with SMTP id m7so11963289qkk.6
 for <56900 <at> debbugs.gnu.org>; Tue, 02 Aug 2022 19:29:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=n/SHgho8nGAQc9fUTzMRyKGg92hSl8y46SxLLCdhzpg=;
 b=UW0X1LqlWjhVoYS9P8jG+P029IB9hlMopx0a57sLbQAg6dBcYk0ICQMDrj67rNYiXu
 7Mobbsj8LbbRCb0+Wf8IqWxF3S/accmFbThUHmEcbWNNrZriIn/vgjVum+7tRaDevdQb
 +Rk+1Adn49Dr8hVvCBZXIJBBnfuJMYew1aLzaKWBwUvHjaOgVhmkBTcPrkksApx9XZl9
 czYMGPF1Nf+/HJ6n0x4l70uzhzHTAPeBrrMqQARQOIshAlKeftGaggQwh/J0tdk9vFms
 jCAKZveZu1GQpvz/C2jqYqXoYC3AMuBQAjO3l4M7zbthgNwjVwTbRBP/+zcO1KnkUvCQ
 tWZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=n/SHgho8nGAQc9fUTzMRyKGg92hSl8y46SxLLCdhzpg=;
 b=3ZByKiPIBXdfbEeG1KkneeDrxYVzFaQynxNYMdVkERb53qHliagvUa2uhV3EBcMO2j
 m513fd6ak1kbGh1f5nq3b1zy/9Lf0ilK7VWIArtPgJoads+b2fNZAWMVQkJj9T7jUAmh
 /s/Glz7YOYPuMpk9Y1iws2upzgw8MOh6Co/VF3tP4ub5m/AA+3+M6Ruh/ftJlSSbmJE4
 X4ANZAdOMawXjl+78wQIyB2gpowhGLINBTB8I0rmA2QyiwVA5fB4zQ4U2o4k6mp0/5M0
 0Tpg5/OPJV4aHmgITCuqFEw0v7xR/Zx7DubdqH76Lq2nTDiF8vAvqkVY+M3K2EWtqsJ6
 agOA==
X-Gm-Message-State: ACgBeo1+atqBE3XjyuHazadf63idHJGapeUVFvP/le0Ho6qhI9yKnO3S
 TnSAdZMsc8UpCo7nsj1FrwCsC1me52o=
X-Google-Smtp-Source: AA6agR5UJToS7j5Ida5sIKW/2bzeYnXwdT1ctAzUuPai9MG9jNhx497xD8XgXKmwu/B0z0CRuHGz/g==
X-Received: by 2002:a05:620a:1a18:b0:6b8:cf40:571c with SMTP id
 bk24-20020a05620a1a1800b006b8cf40571cmr3749191qkb.435.1659493738305; 
 Tue, 02 Aug 2022 19:28:58 -0700 (PDT)
Received: from hurd (dsl-151-182.b2b2c.ca. [66.158.151.182])
 by smtp.gmail.com with ESMTPSA id
 s6-20020a05620a0bc600b006b5f68bc106sm11638631qki.110.2022.08.02.19.28.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 02 Aug 2022 19:28:57 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
Subject: Re: phoronix-test-suite downloads nonfree software (+ question on
 collaboration with Parabola on this package)
References: <20220803012745.2d5e24de@primary_laptop>
Date: Tue, 02 Aug 2022 22:28:56 -0400
In-Reply-To: <20220803012745.2d5e24de@primary_laptop> (Denis Carikli's message
 of "Wed, 3 Aug 2022 01:27:45 +0200")
Message-ID: <87fsiejc0n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 56900
Cc: 56900 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Denis,

Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN> writes:

> Hi,
>
> Thanks a lot for working on having a recent FSDG compliant versions of
> phoronix-test-suite.
>
> I've found a minor issue with phoronix-test-suite and I've a couple of
> questions to help synchronize between Parabola and Guix to prevent
> accidental installation of nonfree software.

Thanks for reaching out!

> Nonfree software downloaded by phoronix-test-suite:
> ---------------------------------------------------
> According to Debian, Linux has the following nonfree files:
>> Documentation/netlabel/draft-ietf-cipso-ipsecurity-01.txt
>> arch/powerpc/platforms/8xx/micropatch.c
>> drivers/media/usb/dvb-usb/af9005-script.h drivers/media/i2c/vs6624.c
>> drivers/net/appletalk/cops*
>> drivers/video/fbdev/nvidia
>> drivers/video/fbdev/riva
>
> The GNU project also mention that ("nonfree blobs are shipped with
> Linux, the kernel") in the list of distros that are not FSDG
> compliant[1].
>
> When running 'phoronix-test-suite test build-linux-kernel' (and
> selecting Yes(Y) to install the test), phoronix-test-suite downloads
> a tarball of Linux.
>
> So I assume that the tarball downloaded also have nonfree software like
> arch/powerpc/platforms/8xx/micropatch.c. So we also need to filter-out
> two tests (to keep being FSDG compliant):
>> pts/build-linux-kernel
>> pts/unpack-linux
>
> As I understand, the other build should be fine.

The test is probably marked as free (as in freedom) by the metadata
included in the test; we should rectify that in a source snippet and
open an issue upstream so that the correct metadata gets added.  Looking
a it, the unpack-firefox would fall in the same category I believe.

> Question on the package description and collaborating with Parabola:
> --------------------------------------------------------------------
> If I run 'phoronix-test-suite list' on a fresh Guix installation, it
> lists nonfree software like BioShock Infinite, Hitman, which are games
> that have not been released under free licenses (according to
> Wikipedia).

I confirm:

$ phoronix-test-suite list-all-tests | grep -iE '(hitman|bioshock)'
pts/bioshock-infinite     BioShock Infinite                                 Graphics
pts/hitman                HITMAN                                            Graphics

And the reason why:

--8<---------------cut here---------------start------------->8---
$ grep License $(guix build phoronix-test-suite)/ob-cache/test-profiles/pts/hitman-1.0.1/test-definition.xml
    <License>Free</License>

$ grep License /gnu/store/bdjf3g5c0xv0hhygag1rwjsvq11y7j1h-phoronix-test-suite-10.8.3/share/phoronix-test-suite/ob-cache/test-profiles/pts/bioshock-infinite-1.0.1/test-definition.xml
    <License>Free</License>
--8<---------------cut here---------------end--------------->8---

We definitely should report these upstream, if they haven't been fixed
yet (there's a separate repository for the test metadata).

> If it didn't download any nonfree games, we could update the package
> description to explain how this FSDG compliance is done to not make
> users afraid and prevent invalid bug reports.

Good idea.

> I also saw there is a python script[2] that somehow is supposed to take
> care of FSDG compliance. How does it work in practice?

phoronix-test-suite comes with the test metadata so that it can at list
them offline upon first use.  Normally, it fetches updates of this
metadata but this gets disabled in our packaging of it, so only our
cleaned up offline metadata gets used.

So the Python script takes care of pruning nonfree tests from the
metadata, based on the metadata of the tests themselves (normally their
'License' field is set to 'Free' for free software).

I hope that helps clearing how it works.

Would you like to try preparing a snippet patch turning the above 'Free'
into 'Proprietary' or the likes so that the Python script can remove
them?  Otherwise I can look into it.

Thanks,

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#56900; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Aug 2022 23:28:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 19:28:18 2022
Received: from localhost ([127.0.0.1]:45488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oJ1JC-00061n-6m
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 19:28:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:56640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <GNUtoo@HIDDEN>) id 1oJ1J9-00061e-60
 for submit <at> debbugs.gnu.org; Tue, 02 Aug 2022 19:28:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:43840)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1oJ1J9-0002EV-1Z
 for bug-guix@HIDDEN; Tue, 02 Aug 2022 19:28:15 -0400
Received: from cyberdimension.org ([80.67.179.20]:48702
 helo=gnutoo.cyberdimension.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_CHACHA20_POLY1305:256)
 (Exim 4.90_1) (envelope-from <GNUtoo@HIDDEN>)
 id 1oJ1J6-00042V-Sc
 for bug-guix@HIDDEN; Tue, 02 Aug 2022 19:28:14 -0400
Received: from gnutoo.cyberdimension.org (localhost [127.0.0.1])
 by cyberdimension.org (OpenSMTPD) with ESMTP id b42813fb;
 Tue, 2 Aug 2022 23:27:43 +0000 (UTC)
Received: from primary_laptop (localhost [::1])
 by gnutoo.cyberdimension.org (OpenSMTPD) with ESMTP id 3c3f2108;
 Tue, 2 Aug 2022 23:27:43 +0000 (UTC)
Date: Wed, 3 Aug 2022 01:27:45 +0200
From: Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>
To: bug-guix@HIDDEN, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: phoronix-test-suite downloads nonfree software (+ question on
 collaboration with Parabola on this package)
Message-ID: <20220803012745.2d5e24de@primary_laptop>
X-Mailer: Claws Mail 4.1.0 (GTK 3.24.30; i686-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="Sig_/zH6aDpHDvo2O5nM=XO1zn7J";
 protocol="application/pgp-signature"; micalg=pgp-sha256
Received-SPF: pass client-ip=80.67.179.20;
 envelope-from=GNUtoo@HIDDEN; helo=gnutoo.cyberdimension.org
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--Sig_/zH6aDpHDvo2O5nM=XO1zn7J
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: quoted-printable

Hi,

Thanks a lot for working on having a recent FSDG compliant versions of
phoronix-test-suite.

I've found a minor issue with phoronix-test-suite and I've a couple of
questions to help synchronize between Parabola and Guix to prevent
accidental installation of nonfree software.

Nonfree software downloaded by phoronix-test-suite:
---------------------------------------------------
According to Debian, Linux has the following nonfree files:
> Documentation/netlabel/draft-ietf-cipso-ipsecurity-01.txt
> arch/powerpc/platforms/8xx/micropatch.c
> drivers/media/usb/dvb-usb/af9005-script.h drivers/media/i2c/vs6624.c
> drivers/net/appletalk/cops*
> drivers/video/fbdev/nvidia
> drivers/video/fbdev/riva

The GNU project also mention that ("nonfree blobs are shipped with
Linux, the kernel") in the list of distros that are not FSDG
compliant[1].

When running 'phoronix-test-suite test build-linux-kernel' (and
selecting Yes(Y) to install the test), phoronix-test-suite downloads
a tarball of Linux.

So I assume that the tarball downloaded also have nonfree software like
arch/powerpc/platforms/8xx/micropatch.c. So we also need to filter-out
two tests (to keep being FSDG compliant):
> pts/build-linux-kernel
> pts/unpack-linux

As I understand, the other build should be fine.

Question on the package description and collaborating with Parabola:
--------------------------------------------------------------------
If I run 'phoronix-test-suite list' on a fresh Guix installation, it
lists nonfree software like BioShock Infinite, Hitman, which are games
that have not been released under free licenses (according to
Wikipedia).

I've installed Guix on a separate computer just for that (as it would
be negligence from my part to risk running nonfree software like that on
computers that are either hold keys to sign releases or build releases).

And there it seems that it runs hoses tests (I need to do that in a
terminal in a graphical interface like sway for instance) but I'm unsure
if it actually downloaded nonfree software or not as the tests seem to
fail and I didn't find the games being downloaded (but I only looked
rapidly).

If it didn't download any nonfree games, we could update the package
description to explain how this FSDG compliance is done to not make
users afraid and prevent invalid bug reports.

I also saw there is a python script[2] that somehow is supposed to take
care of FSDG compliance. How does it work in practice?

I'm also asking because I've also added phoronix-test-suite to Parabola
long time ago with a very different patch, and if for some reasons both
patches are incompatible, I don't want to end up in a situation where
users running Guix on top of Parabola would end up accidentally
installing nonfree software.

If that's the case it would be easier to fix the issue in Parabola
(just by updating phoronix-test-suite and taking care of informing the
users to delete their old ~/.phoronix-test-suite/) but I also need to
understand how the python script works first.

Once these questions are sorted out I'll try to install Parabola
instead of Guix on that test laptop, import my existing
~/.phoronix-test-suite/, install Guix on top, and install
phoronix-test-suite through Guix to see if the nonfree tests somehow
run something.

And I'll then report the result of test here and I'll then probably end
up updating in Parabola (and reusing your patch).

References:
-----------
[1]https://www.gnu.org/distros/common-distros.html
[2]gnu/packages/patches/phoronix-test-suite-fsdg.patch

Denis.

--Sig_/zH6aDpHDvo2O5nM=XO1zn7J
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEeC+d2+Nrp/PU3kkGX138wUF34mMFAmLpsvEACgkQX138wUF3
4mP4cA//csWVPlPUqihZh3KEHPWaDHbA+bxWmEzzxy0MiTtv8mEk0aHfqx0kWwUW
I4LAupTBMNAYfSwtM/Ild0r+i2IlheQREZaBL2IT9z6GL7eZU+WgaKxldUnda3Xs
wq3tiWQwUiwxzwj3yNcUsVGv+p3aGwS1NeaqadcegBzhng/4SqHk87tG37TKq668
/BuHOjhRaotQItFF9f0sQOjs+Ecdd5Tjjx36QI8dJFjHnN2mvhVjqEurKKOa8g/D
wjf7d3Pzko9iks3SZYklCzEud07mexyozz68ycfHGY1/kF3lBC0VuwubDXMhzFm3
imLlhQ9AnATAFp+16g+Gvm9eC+ufCqjuQHlj+SHKgZiVC8TzptOjLe4DIUoFQmc8
OyLRWSVnGpBdVkbWelH5IB2VzvyN3dgkrz7X1XPCn3sdbCb+lXibpoqb1Kloawdz
fjrEAsjMCbSypsfHBrInHQhJD8Qfayw1poX3MaaY+glouQ19bH5PLuniNmdbSaFM
C4tWGDj8SsCc61Z0JNFHfIqu1I64GzjksNP/pQDqBZMwCtDIdNP2pBB58grnkYu0
icA0YX/O0Ti/3vq9TCrcn0dleTSNy4/pPJnu0SEiz/Mn7Wlp8HLsFV/s5+Tu5k2p
qS3dcMsL8aEAiwhwnISzw0Z4pRLvXAEuLvr3SLqWO2qUXrbBwZY=
=gnwN
-----END PGP SIGNATURE-----

--Sig_/zH6aDpHDvo2O5nM=XO1zn7J--




Acknowledgement sent to Denis 'GNUtoo' Carikli <GNUtoo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#56900; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Aug 2022 14:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.